Bug 239321 - CVE-2007-1700: session extension miscalculation
Summary: CVE-2007-1700: session extension miscalculation
Status: CLOSED DUPLICATE of bug 240167
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-07 15:28 UTC by paul boin
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 16:02:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paul boin 2007-05-07 15:28:03 UTC
Like the other PHP bugs, this one is mentioned in 230556, but not explicitly
closed and documented in any errata that I can find.

-------------------------------------------------------------------

The session extension in PHP 4 before 4.4.5, and PHP 5 before 5.2.1, calculates
the reference count for the session variables without considering the internal
pointer from the session globals, which allows context-dependent attackers to
execute arbitrary code via a crafted string in the session_register after
unsetting HTTP_SESSION_VARS and _SESSION, which destroys the session data Hashtable.

    * MISC:http://www.php-security.org/MOPB/MOPB-30-2007.html
    * DEBIAN:DSA-1283
    * URL:http://www.debian.org/security/2007/dsa-1283
    * UBUNTU:USN-455-1
    * URL:http://www.ubuntu.com/usn/usn-455-1
    * BID:23119
    * URL:http://www.securityfocus.com/bid/23119
    * SECUNIA:25062
    * URL:http://secunia.com/advisories/25062

Comment 1 Joe Orton 2007-05-15 16:02:39 UTC

*** This bug has been marked as a duplicate of 240167 ***


Note You need to log in before you can comment on or make changes to this bug.